package com.dxhy.common.enums;

/**
 * 申报周期类型
 * 
 * @author zhanghong
 * @date 2019年4月29日
 * 
 */
public enum SbzqEnum {

    /**
     * 季报
     */
    JD("3", 1),
    /**
     * 月报
     */
    MON("1", 2);

    private static final String[] SBZQMC = {"季报", "月报"};

    private String sbzqDm;
    private int index;

    SbzqEnum(String sbzqDm, int index) {
        this.sbzqDm = sbzqDm;
        this.index = index;
    }

    public String getSbzqDm(int index) {
        for (SbzqEnum sbzq : SbzqEnum.values()) {
            if (sbzq.getIndex() == index) {
                return sbzq.sbzqDm;
            }
        }
        return null;
    }

    public String getSbzqMc(int index) {
        int length = SBZQMC.length;
        if (index <= length) {
            return SBZQMC[index - 1];
        }
        return null;
    }

    public String getSbzqDm() {
        return sbzqDm;
    }

    public void setSbzqDm(String sbzqDm) {
        this.sbzqDm = sbzqDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
